import React, { useEffect } from "react";
import { useState } from "react";
import { User, Flight } from "../Types";
import { fetchZones } from "../Api";

export const useFetchZones = (origin: string | null) => {
	const [error, setError] = useState<string | null>(null);
	const [zones, setZones] = useState<Flight[]>([]);

	useEffect(() => {
		setError(null);

		fetchZones(origin)
			.then((data) => {
				setZones(data);
			})
			.catch((error) => {});
	}, []);

	return { zones, error };
};
